## AnjutaVcsStatusTreeView

AnjutaVcsStatusTreeView

## Functions

GtkWidget * | anjuta_vcs_status_tree_view_new ()
void | anjuta_vcs_status_tree_view_destroy ()
void | anjuta_vcs_status_tree_view_add ()
void | anjuta_vcs_status_tree_view_select_all ()
void | anjuta_vcs_status_tree_view_unselect_all ()
GList * | anjuta_vcs_status_tree_view_get_selected ()

## Properties

gboolean | conflicted-selectable | Read / Write / Construct Only
gboolean | show-status | Read / Write
AnjutaVcsStatus | status-codes | Read / Write / Construct Only

## Types and Values

#define | ANJUTA_VCS_DEFAULT_STATUS_CODES
struct | AnjutaVcsStatusTreeViewClass
struct | AnjutaVcsStatusTreeView
| AnjutaVcsStatusTreeViewPriv

## Object Hierarchy

        GObject
        ╰── GInitiallyUnowned
            ╰── GtkWidget
                ╰── GtkContainer
                    ╰── GtkTreeView
                        ╰── AnjutaVcsStatusTreeView

## Implemented Interfaces

AnjutaVcsStatusTreeView implements AtkImplementorIface, GtkBuildable and GtkScrollable.

## Description

## Functions

### anjuta_vcs_status_tree_view_new ()

    GtkWidget *
    anjuta_vcs_status_tree_view_new (void);

### anjuta_vcs_status_tree_view_destroy ()

    void
    anjuta_vcs_status_tree_view_destroy (AnjutaVcsStatusTreeView *self);

### anjuta_vcs_status_tree_view_add ()

    void
    anjuta_vcs_status_tree_view_add (AnjutaVcsStatusTreeView *self,
                                     gchar *path,
                                     AnjutaVcsStatus status,
                                     gboolean selected);

### anjuta_vcs_status_tree_view_select_all ()

    void
    anjuta_vcs_status_tree_view_select_all
                                   (AnjutaVcsStatusTreeView *self);

### anjuta_vcs_status_tree_view_unselect_all ()

    void
    anjuta_vcs_status_tree_view_unselect_all
                                   (AnjutaVcsStatusTreeView *self);

### anjuta_vcs_status_tree_view_get_selected ()

    GList *
    anjuta_vcs_status_tree_view_get_selected
                                   (AnjutaVcsStatusTreeView *self);

## Types and Values

### ANJUTA_VCS_DEFAULT_STATUS_CODES

    #define             ANJUTA_VCS_DEFAULT_STATUS_CODES

### struct AnjutaVcsStatusTreeViewClass

    struct AnjutaVcsStatusTreeViewClass {
    	GtkTreeViewClass parent_class;
    };

### struct AnjutaVcsStatusTreeView

    struct AnjutaVcsStatusTreeView;

### AnjutaVcsStatusTreeViewPriv

    typedef struct _AnjutaVcsStatusTreeViewPriv AnjutaVcsStatusTreeViewPriv;

## Property Details

### The `“conflicted-selectable”` property

      “conflicted-selectable”    gboolean

Allow/disallow the user to select Conflicted status items.

Flags: Read / Write / Construct Only

Default value: TRUE

### The `“show-status”` property

      “show-status”              gboolean

Show or hide status description.

Flags: Read / Write

Default value: TRUE

### The `“status-codes”` property

      “status-codes”             AnjutaVcsStatus

Control which status codes are shown in the list.

Flags: Read / Write / Construct Only

Default value: ANJUTA_VCS_STATUS_MODIFIED | ANJUTA_VCS_STATUS_ADDED | ANJUTA_VCS_STATUS_DELETED | ANJUTA_VCS_STATUS_CONFLICTED